Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1362201

Summary: Setting RPCBIND_ARGS results in rpcbind startup failure 'invalid option'
Product: [Fedora] Fedora Reporter: Paul Lindner <lindner>
Component: rpcbindAssignee: Steve Dickson <steved>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: steved
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: rpcbind-0.2.3-11.rc1.fc24 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1362232 (view as bug list) Environment:
Last Closed: 2016-09-01 03:19:45 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1362232    

Description Paul Lindner 2016-08-01 13:58:15 UTC
Description of problem:
Changing RPCBIND_ARGS in /etc/sysconfig/rpcbind results in startup failures for rpcbind.

Version-Release number of selected component: rpcbind-0.2.3-10.rc1.fc24.x86_64


Steps to Reproduce:
1. Modify the contents of /etc/sysconfig/rpcbind here is an example line that fails:

  RPCBIND_ARGS="-l -h 10.1.10.2"
 
2. Attempt to restart rpcbind.  Start will fail

   systemctl restart rpcbind


Actual results:

Jul 31 21:22:06 mirth.inuus.com rpcbind[3781]: /sbin/rpcbind: invalid option -- ' '
Jul 31 21:22:06 mirth.inuus.com rpcbind[3781]: usage: rpcbind [-adhilswf]


Expected results:

Successful startup of rpcbind with arguments


Additional info:

It appears that removing the braces from the ${RPCBIND_ARGS} in /usr/lib/systemd/system/rpcbind.service fixes this issue.  This appears to be what other services use.

Comment 1 Fedora Update System 2016-08-27 16:20:04 UTC
rpcbind-0.2.3-8.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d4ae4edcbb

Comment 2 Fedora Update System 2016-08-27 16:20:16 UTC
rpcbind-0.2.3-11.rc1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d5ed976bf1

Comment 3 Fedora Update System 2016-08-28 16:19:17 UTC
rpcbind-0.2.3-11.rc1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d5ed976bf1

Comment 4 Fedora Update System 2016-08-28 16:19:39 UTC
rpcbind-0.2.3-8.rc1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d4ae4edcbb

Comment 5 Fedora Update System 2016-09-01 03:19:39 UTC
rpcbind-0.2.3-11.rc1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.